unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, StdCtrls, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Image1: TImage;
    Button1: TButton;
    Series1: TLineSeries;
    Series2: TLineSeries;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Shape1: TShape;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
    Function GetChartTitle:String;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

Function TForm1.GetChartTitle:String;
Begin
Result := Format('Series.Pen.Width = %d'+#13+'Axis.Grid.Width = %d',[Chart1.Series[0].Pen.Width,Chart1.LeftAxis.Grid.Width]);
End;

procedure TForm1.Button1Click(Sender: TObject);
Var
   Meta : TMetaFile;

begin
Chart1.Series[0].Pen.Width := 1;
Chart1.Series[1].Pen.Width := 1;
Chart1.Title.Text.Text := GetChartTitle;
Meta := Chart1.TeeCreateMetafile(True,Rect(0,0,Chart1.Width,Chart1.Height));
Image1.Canvas.StretchDraw(Rect(0,0,Image1.Width,Image1.Height),Meta);
Meta.Free;
end;

procedure TForm1.Button2Click(Sender: TObject);
Var
   Meta : TMetaFile;

begin
Chart1.Series[0].Pen.Width := 2;
Chart1.Series[1].Pen.Width := 2;
Chart1.Title.Text.Text := GetChartTitle;
Meta := Chart1.TeeCreateMetafile(True,Rect(0,0,Chart1.Width,Chart1.Height));
Image1.Canvas.StretchDraw(Rect(0,0,Image1.Width,Image1.Height),Meta);
Meta.Free;
end;

procedure TForm1.Button3Click(Sender: TObject);
Var
   Meta : TMetaFile;

begin
Chart1.LeftAxis.Grid.Width := 2;
Chart1.BottomAxis.Grid.Width := 2;
Chart1.Title.Text.Text := GetChartTitle;
Meta := Chart1.TeeCreateMetafile(True,Rect(0,0,Chart1.Width,Chart1.Height));
Image1.Canvas.StretchDraw(Rect(0,0,Image1.Width,Image1.Height),Meta);
Meta.Free;
end;

procedure TForm1.Button4Click(Sender: TObject);
Var
   Meta : TMetaFile;

begin
Chart1.LeftAxis.Grid.Width := 1;
Chart1.BottomAxis.Grid.Width := 1;
Chart1.Title.Text.Text := GetChartTitle;
Meta := Chart1.TeeCreateMetafile(True,Rect(0,0,Chart1.Width,Chart1.Height));
Image1.Canvas.StretchDraw(Rect(0,0,Image1.Width,Image1.Height),Meta);
Meta.Free;
end;

procedure TForm1.FormCreate(Sender: TObject);
Var
   Meta : TMetaFile;

begin
Label1.CAption := 'This simple application demonstrate that we lose every linestyle when width = 1'; 
Chart1.Series[0].FillSampleValues(25);
Chart1.Series[1].FillSampleValues(25);
Chart1.Title.Text.Text := GetChartTitle;
Meta := Chart1.TeeCreateMetafile(True,Rect(0,0,Chart1.Width,Chart1.Height));
Image1.Canvas.StretchDraw(Rect(0,0,Image1.Width,Image1.Height),Meta);
Meta.Free;
end;

end.
